Update a channel account staging token
curl --request PATCH \
--url https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-account-staging-tokens/{accountToken} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountName": "<string>"
}
'import requests
url = "https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-account-staging-tokens/{accountToken}"
payload = { "accountName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountName: '<string>'})
};
fetch('https://api.hubapi.com/conversations/custom-channels/2026-03/{channelId}/channel-account-staging-tokens/{accountToken}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountToken": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"genericChannelId": 123,
"inboxId": 123,
"userId": 123,
"accountName": "<string>",
"deliveryIdentifier": {
"value": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Channel accounts
Update a channel account staging token
Update a channel account staging token’s account name and delivery identifier. This information will be applied to the channel account created from this staging token. This is used for public apps.
PATCH
/
conversations
/
custom-channels
/
2026-03
/
{channelId}
/
channel-account-staging-tokens
/
{accountToken}
Update a channel account staging token
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Last modified on March 31, 2026
Was this page helpful?
⌘I